[1.1.4] IDE: load() does not seem to work anymore --- partly fixed 2018-09-19

Bug #1789569 reported by RaiMan on 2018-08-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Sikuli
High
RaiMan

Bug Description

*************** workaround --- needed if one gets not-found errors on Java stuff (which should be found via Java classpath)

comment out the load() ...

... and try the following:
copy the jar instead to the <app-data>/Sikulix/Extensions folder (where the jython jar is also)

This should auto load the jar to the Java class path at start up of the IDE, so it should be found later.

---------------------------------------

OS: Windows 10
SQL Server: 2012
Utilizing zxJDBC (ziclix)
Driver: Microsoft JDBC driver 7.0 for SQL Server (obtained here):
(https://www.microsoft.com/en-us/download/details.aspx?id=57175)

With the script that I built in SIkuliX 1.1.2, I can successfully connect to our SQL Server and insert/update records.
My script also works well in SikuliX 1.1.3.

However, when I try to run the script in SikuliX 1.1.4, I receive this error:
"driver [com.microsoft.sqlserver.jdbc.SQLServerDriver] not found"

It's the same exact script, just running in 1.1.4 instead of 1.1.3.

The code that I am using to connect to SQL can be viewed in my post here:
https://answers.launchpad.net/sikuli/+question/672153

Is this a bug, or do I need to load the SQL Driver differently in 1.1.4 than I do in 1.1.2 & 3?

Thanks!

Ron Turrentine

RaiMan (raimund-hocke) on 2018-08-29
Changed in sikuli:
status: New → In Progress
importance: Undecided → High
assignee: nobody → RaiMan (raimund-hocke)
milestone: none → 1.1.4
summary: - [1.1.4] IDE: load() does not seem to work anymore
+ [1.1.4] IDE: load() does not seem to work anymore --- workaround
description: updated
RaiMan (raimund-hocke) on 2018-09-19
summary: - [1.1.4] IDE: load() does not seem to work anymore --- workaround
+ [1.1.4] IDE: load() does not seem to work anymore --- fixed 2018-09-19
Changed in sikuli:
status: In Progress → Fix Committed
importance: High → Critical
summary: - [1.1.4] IDE: load() does not seem to work anymore --- fixed 2018-09-19
+ [1.1.4] IDE: load() does not seem to work anymore --- partly fixed
+ 2018-09-19
description: updated
Changed in sikuli:
importance: Critical → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers